Add a user or team role to a space.

Add a user or team role to a space.

Add a user or team role to a space.

POST/api/space-role/{spaceId}/add
Path parameters
spaceIdnumberrequired

Path parameter: spaceId

Body
rolestringrequired
userinteger
teamstring

Request

curl
curl -X POST https://trickest.io/api/space-role/{spaceId}/add \
  -H "Authorization: Bearer $TRICKEST_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ }'

Responses

200Role added
successboolean
400Bad Request – validation error or malformed input
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

401Unauthorized – missing or expired token
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

403Forbidden – insufficient permissions
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

429Too Many Requests – rate limited
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

500Internal Server Error
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.